@if not "%ECHO%"=="" echo %ECHO%
@if not "%OS%" =="Windows_NT" goto EOF
set logfile="c:\program files\nortel networks\voice platform\logs\30366297.log"
@echo off
call :timestamp
echo %thisdate% %thistime% - Backing up  >> %logfile%
echo ** Backing up subsys.cfg **
move "c:\program files\nortel networks\unified manager\config\subsys.cfg" "c:\program files\nortel networks\unified manager\config\subsys_old.cfg"
echo %thisdate% %thistime% - Backup Complete >> %logfile%
echo ***** Backup Complete *****
call :timestamp
echo %thisdate% %thistime% - Updating subsys.cfg >> %logfile%
echo *** Updating CteRoutr.dll
call :timestamp
miserver /shutdown
sleep 2
xcopy /E /I /Q /R "c:\Program Files\Nortel Networks\patches\30366297\subsys.cfg" "c:\Program Files\Nortel Networks\unified manager\config\"
if not %errorlevel% == 0 goto ERR_1
echo %thisdate% %thistime% - Update subsys.cfg Complete >> %logfile%
echo ***** Update Complete *****
resetsubsys
Sleep 5
goto EOF

REM ******************* Some functions to be called ********
:TIMESTAMP
for /f "tokens=2" %%i in ('date /t') do set thisdate=%%i
for /f %%i in ('time /t') do set thistime=%%i
goto EOF

:ERR_1
echo - Updating subsys.cfg fails.
echo %thisdate% %thistime% - Updating subsys.cfg fails. >> %logfile%
goto EOF
:EOF